Bug 91713 - (PCI) PCI: Cannot allocate resource region 0 - errors on booting
(PCI) PCI: Cannot allocate resource region 0 - errors on booting
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2003-05-27 11:24 EDT by John Horne
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg command output with errors (15.02 KB, text/plain)
2003-05-27 11:25 EDT, John Horne
no flags Details
Output of 'lspci -vv' command (7.94 KB, text/plain)
2003-05-27 11:26 EDT, John Horne
no flags Details

  None (edit)
Description John Horne 2003-05-27 11:24:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The system has an 'ATI Rage 128 Pro ULTRA TF (AGP)' graphics card. Upon booting
the above error occurs many times, followed by:

  PCI: Failed to allocate resource 0(f0000000-ee9fffff) for 01:00.0

errors. The first attachment is a 'dmesg' of when the system gives these errors.
They seem to stem from the PCI bus being probed, but dmesg does not show what
goes on before the errors occur.

When they occur the system seems to lose the video card - i.e. it can't
communicate with it. Rebooting doesn't help, but a poweroff/on does - the
graphics card is then detected.

The previous kernel 'kernel-2.4.20-9' gave the same problem.

The second attachment is the output of 'lspci -vv' should it help.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Difficult - need the ATI card. The system also has a 2nd PCI IDE controller
card in it. The cpu is IntelP4 Xeon; motherboard has Intel 845G chipset. With
all that rebooting may give the errors.

Actual Results:  PCI bus not probed correctly - video card not detected.

Expected Results:  PCI bus probe should detect video card.

Additional info:
Comment 1 John Horne 2003-05-27 11:25:15 EDT
Created attachment 91996 [details]
dmesg command output with errors
Comment 2 John Horne 2003-05-27 11:26:03 EDT
Created attachment 91997 [details]
Output of 'lspci -vv' command
Comment 3 Alan Cox 2003-05-27 14:04:59 EDT
Has it always been running windows then soft booted when this happens ?
Comment 4 John Horne 2003-05-28 05:09:52 EDT
Windows? Microsoft windows - no, never. X window - yes, by default I boot X
window and use KDE. Just booting to single user mode is enough to see if the
errors have occurred.

The PC is a new work one - an RM accelerator, but that's probably no help at
all. I have run redhat linux 9 for about a month or so - no problems except for
the nvidia graphics card sending X to 100% cpu (reported to bugzilla, but
because it's nvidia not much could be done - understandable.) I now have the ATI
card instead since I have had no problems with these at home. I installed the
card last week and immediately got these errors upon restarting the system. As
said, 'reboots' do not help it, but a hard boot (poweroff/on) does.

(I also get lockups when trying to use the GL screensavers :-) Not having much
luck lately! But I gather this is a well-known - but difficult to resolve -
Comment 5 John Horne 2004-06-16 06:06:54 EDT
I have now moved the PC which had this problem to Fedora Core 2. The
problem does not appear with FC2. As such you may close this bug
report if you wish.

Comment 6 Bugzilla owner 2004-09-30 11:41:00 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.